### Enumeration

# Qmi ImsDcmRatType

since: 1.37

#### Declaration

    enum Qmi.ImsDcmRatType

#### Description [src]

IMS DCM RAT type.

Available since: 1.37

#### Members

`QMI_IMSDCM_RAT_TYPE_EHPRD`

  CDMA/EHPRD.

  - Value: `0`
  - Available since: 1.37
`QMI_IMSDCM_RAT_TYPE_LTE`

  IMS is initialized, but not registered yet with the network IMS service.

  - Value: `1`
  - Available since: 1.37
`QMI_IMSDCM_RAT_TYPE_EPC`

  IMS is initialized but device is in airplane mode.

  - Value: `2`
  - Available since: 1.37
`QMI_IMSDCM_RAT_TYPE_WLAN`

  IMS is initialized and registered.

  - Value: `3`
  - Available since: 1.37

#### Type functions

###### qmi_ims_dcm_rat_type_get_string

Gets the nickname string for the `QmiImsDcmRatType` specified at `val`.

since: 1.37